'use client';
import RegisterPage from '@/components/register';
import SetCodePage from '@/components/register/SetCodePage';
import SignInPage from '@/components/register/SignInPage';
import { useState } from 'react';

function SignIn() {

    const [isSendMsg, setIsSendMsg] = useState(false);

    return (
        <div>
            <RegisterPage>
                {isSendMsg ?
                    <SetCodePage setIsSendMsg={setIsSendMsg} /> :
                    <SignInPage setIsSendMsg={setIsSendMsg} />}
            </RegisterPage>
        </div>
    )
}

export default SignIn